Debian Bug report logs - #721849
dh-make: please drop useless comment stating origin of the rules files

version graph

Package: dh-make; Maintainer for dh-make is Craig Small <csmall@debian.org>; Source for dh-make is src:dh-make.

Reported by: Raphaël Hertzog <hertzog@debian.org>

Date: Wed, 4 Sep 2013 15:24:06 UTC

Severity: normal

Found in version dh-make/0.62

Fixed in version dh-make/0.63

Done: Craig Small <csmall@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, hertzog@debian.org, joeyh@debian.org, Craig Small <csmall@debian.org>:
Bug#721849; Package dh-make. (Wed, 04 Sep 2013 15:24:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphaël Hertzog <hertzog@debian.org>:
New Bug report received and forwarded. Copy sent to hertzog@debian.org, joeyh@debian.org, Craig Small <csmall@debian.org>. (Wed, 04 Sep 2013 15:24:11 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Raphaël Hertzog <hertzog@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: dh-make: please drop useless comment stating origin of the rules files
Date: Wed, 04 Sep 2013 17:21:44 +0200
Package: dh-make
Version: 0.62
Severity: normal

Have a look at http://bugs.debian.org/679124 and see how much energy is
spent to make sure people remove the boilerplate comments dh-make puts
on top of most rules files.

So please drop this paragraph from all rules files (I see that some have
it and others don't):
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

It's particularly silly for the "dh7" ones because those 2 lines are
hardly copyrightable...

I'm pretty sure Joey would agree on the removal of this comment. I'm ccing
him so that he can share his opinion.

Cheers,

-- System Information:
Debian Release: jessie/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'stable'), (1, 'experimental')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 3.10-2-amd64 (SMP w/4 CPU cores)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages dh-make depends on:
ii  debhelper  9.20130720
ii  dpkg-dev   1.17.2~20130824131919.198
ii  make       3.81-8.2
ii  perl       5.14.2-21

dh-make recommends no packages.

Versions of packages dh-make suggests:
ii  build-essential  11.6

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#721849; Package dh-make. (Wed, 04 Sep 2013 20:54:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Wed, 04 Sep 2013 20:54:04 GMT) Full text and rfc822 format available.

Message #10 received at submit@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: Raphaël Hertzog <hertzog@debian.org>, 721849@bugs.debian.org
Cc: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Re: Bug#721849: dh-make: please drop useless comment stating origin of the rules files
Date: Wed, 4 Sep 2013 16:50:28 -0400
[Message part 1 (text/plain, inline)]
Raphaël Hertzog wrote:
> So please drop this paragraph from all rules files (I see that some have
> it and others don't):
> # Sample debian/rules that uses debhelper.
> # This file was originally written by Joey Hess and Craig Small.
> # As a special exception, when this file is copied by dh-make into a
> # dh-make output file, you may use that output file without restriction.
> # This special exception was added by Craig Small in version 0.37 of dh-make.
> 
> It's particularly silly for the "dh7" ones because those 2 lines are
> hardly copyrightable...
> 
> I'm pretty sure Joey would agree on the removal of this comment. I'm ccing
> him so that he can share his opinion.

I agree.

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#721849; Package dh-make. (Wed, 04 Sep 2013 20:54:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Wed, 04 Sep 2013 20:54:07 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Craig Small <csmall@debian.org> to control@bugs.debian.org. (Thu, 05 Sep 2013 13:03:04 GMT) Full text and rfc822 format available.

Reply sent to Craig Small <csmall@debian.org>:
You have taken responsibility. (Fri, 01 Nov 2013 23:21:20 GMT) Full text and rfc822 format available.

Notification sent to Raphaël Hertzog <hertzog@debian.org>:
Bug acknowledged by developer. (Fri, 01 Nov 2013 23:21:20 GMT) Full text and rfc822 format available.

Message #22 received at 721849-close@bugs.debian.org (full text, mbox):

From: Craig Small <csmall@debian.org>
To: 721849-close@bugs.debian.org
Subject: Bug#721849: fixed in dh-make 0.63
Date: Fri, 01 Nov 2013 23:18:18 +0000
Source: dh-make
Source-Version: 0.63

We believe that the bug you reported is fixed in the latest version of
dh-make, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 721849@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Craig Small <csmall@debian.org> (supplier of updated dh-make package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Sat, 02 Nov 2013 10:10:22 +1100
Source: dh-make
Binary: dh-make
Architecture: source all
Version: 0.63
Distribution: unstable
Urgency: low
Maintainer: Craig Small <csmall@debian.org>
Changed-By: Craig Small <csmall@debian.org>
Description: 
 dh-make    - tool that converts source archives into Debian package source
Closes: 703910 706164 709479 721738 721849 726653
Changes: 
 dh-make (0.63) unstable; urgency=low
 .
   * Changed default priority to optional Closes: #706164
   * README.source has timestamp Closes: #703910
   * Removed boilerplate notice from rules Closes: #721849
   * Update to debhelper compat 9 Closes: #721738
   * Portable CWD, thanks Dominik George for patch Closes: #726653
   * Merged init skeleton, thanks to Mathieu Parent Closes: #709479
   * Added more lintian ignores
Checksums-Sha1: 
 15a3f47f1eafe1052b3f33394209103760b4bd90 1507 dh-make_0.63.dsc
 98f108a045b330af354fa0b69366e5e91e93a61f 42634 dh-make_0.63.tar.gz
 055c2513e526369dc0fdd3ef20413fe10427c150 41284 dh-make_0.63_all.deb
Checksums-Sha256: 
 37bfc6b59bea43a7a415d8aab48294d645cc37211f0d8efeb3054a4700b42082 1507 dh-make_0.63.dsc
 20a4c0f412c4c7667d2d08e1b7f36e25e1642b6da18d0d187c11354a869b2095 42634 dh-make_0.63.tar.gz
 7bb610b258440ed5ac724c2a2cb6491e49d1ac8ae32c5bad6a500b8b26ded4fa 41284 dh-make_0.63_all.deb
Files: 
 e8426b65fa6dedd6773aad9ccf2eb9fb 1507 devel optional dh-make_0.63.dsc
 aa0e6502d682d3c6d97b81ce2d414c87 42634 devel optional dh-make_0.63.tar.gz
 1cd16431b919172f7c5a38312fbba611 41284 devel optional dh-make_0.63_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.15 (GNU/Linux)

iQIcBAEBCgAGBQJSdDV7AAoJEDk4+WvfUP6lwlIP/i9ti3cwjlI8Lar6xpbr1PnB
Xj+J+DoL5h5GombQrUQO5XdZlO7e8oyBOA8cPemw4wHFho/FK3h2Pi9BO7Fv7fxG
UzpMwrcGMx+GvADx6pPOeUzFF1FjgNpVE1iRGlZQ4lm3aQnWs4xgQ7jS2nNykui7
ftn2WR426ijKPH6exepziJq3+76pg6Ajn8P4jQbrPZ+qJ21wQjOcV/VCdqb+3xLv
QgXWqrBv2KJ7A0snnbQet+vE/0g74hZcB/TcJrZMy4Y9gD47iyU4Qe1kzSHMYt4W
/pUOhoPFeSBFwLqRXx7OacW0sRErz4raJt22En6uWjupMkcYGUqoryoqVRnU0fhA
DvwTtdkuvevUjHKW7ddIWZSnKmg0NpnKX0xTtj4BcdI9x50zWuO5cWiFsQbvFA7M
93P/5JNQwbZ1rd7MuD4siKD0DJVvGsDJWTj9wn6nizF/e3g/yA3SlPWiAxepKvdM
Xys8vkY4j6mvdEPc8s+2udxjRwlBoC8AYIoXav0F2yujDMi+AlFUF5jV4AYikDrW
tB6yjW3k0coKf3OU0WR45KaUXS1pBxLjf62zmvkQcaItmMa7W43ZXD2U90vvJQp0
QbibytRSBuIcQSqMubWMLFzIKXTkbNYMdHYz/cTdUIoI5N0VJlVVlsAC5am9qmRa
JHueUmhX8q2WK90UEuXr
=GJzb
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 05 Dec 2013 07:33:50 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 08:59:56 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.